local L = AceLibrary("AceLocale-2.2"):new("fmBuffCheck")

-- for utf8 help, see: http://www.wowwiki.com/HOWTO:_Localize_an_AddOn
-- this is currently NOT really French, it's more kinda "french"-like (Volunteers step forward please!)

L:RegisterTranslations("frFR", function() return {     
	["Debugging Mode"] = "Debugging Mode",
	["If enabled, additional messages are printed out to help debugging."] = "If enabled, additional messages are printed out to help debugging.",
	["Nagging Mode"] = "Nagging Mode",
	["If enabled, every person NOT having all buffs is being reminded by whisper."] = "If enabled, every person NOT having all buffs is being reminded by whisper.",
	["Requesting buff status of all party members..."] = "Requesting buff status of all party members...",
	["Requesting version status of all party members..."] = "Requesting version status of all party members...",
	["Buff list request received from %s."] = "Buff list request received from %s.",
	["Unknown QUERY request received from %s: %s."] ="Unknown QUERY request received from %s: %s.",
	["[offensive elixir]"] = "[offensive elixir]",
	["[defensive elixir]"] = "[defensive elixir]",
	["[food buff]"] = "[food buff]",
	["[weapon buff]"] = "[weapon buff]",
	["You are missing the following buffs: "] = "You are missing the following buffs: ",
	["Click|r to initiate buff check."] = "Click|r to initiate buff check.",
	["Shift-Click|r to initiate version check."] = "Shift-Click|r to initiate version check.",
	["Guardian Elixir"] = "Guardian Elixir",
	["Battle Elixir"] = "Battle Elixir",
	["Food Buff"] = "Food Buff",
	["Weapon Buff"] = "Weapon Buff",
	["Well Fed"] = "Well Fed",
	["none"] = "none",
	
	["Version list request received from %s."] = "Version list request received from %s.",
	["Buff list request received from %s."] = "Buff list request received from %s.",
	["Version list result received from %s."] = "Version list result received from %s.",
	["Buff list result received from %s."] = "Buff list result received from %s.",
	
	["Buff Timeout"] = "Buff Timeout",
	["Buff Timeout:"] = "Buff Timeout:",
	["The time a buff has to be running to be considered valid (minutes)."] = "The time a buff has to be running to be considered valid (minutes).",

	["Automatic Update Speed"] = "Automatic Update Speed",
	["The time between automatic buff polls in Minutes (set to 0 to disable)."] = "The time between automatic buff polls in Minutes (set to 0 to disable).",
	["Automatic Update Interval:"] = "Automatic Update Interval:",
	["Data Age: %03ds"] = "Data Age: %03ds",

	["Add New Buff Profile"] = "Add New Buff Profile",
	["Add New Base Profile"] = "Add New Base Profile",
	["Add a new buff profile."] = "Add a new buff profile.",
	["Add a new base profile."] = "Add a new base profile.",
	
	["Edit Buff Profiles"] = "Edit Buff Profiles",
	["Edit Base Profiles"] = "Edit Base Profiles",
	["List of available buff profiles."] = "List of available buff profiles.",
	["List of available base profiles."] = "List of available base profiles.",
	
	["Delete Buff Profile"] = "Delete Buff Profile",
	["Delete a buff profile."] = "Delete a buff profile.",
	["Delete Base Profile"] = "Delete Base Profile",
	["Delete a base profile."] = "Delete a base profile.",
	
	["Rename Buff Profile"] = "Rename Buff Profile",
	["Rename a buff profile."] = "Rename a buff profile.",
	["Rename Base Profile"] = "Rename Base Profile",
	["Rename a base profile."] = "Rename a base profile.",
	
	["Copy Buff Profile"] = "Copy Buff Profile",
	["Copy a buff profile."] = "Copy a buff profile.",
	["Copy Base Profile"] = "Copy Base Profile",
	["Copy a base profile."] = "Copy a base profile.",	
	
	["Nagging:"] = "Nagging:",
	["Debugging:"] = "Debugging:",
	["Active Buff Profile:"] = "Active Buff Profile:",
	["Active Base Profile:"] = "Active Base Profile:",
	
	["Arcane Brilliance/Intellect"] = "Arcane Brilliance/Intellect",
	["Mark/Gift of the Wild"] = "Mark/Gift of the Wild",
	["Fortitude"] = "Fortitude",
	["Flask"] = "Flask",
	
	["You can select all and copy above for further study..."] = "You can select all and copy above for further study...",
	
	["Version request in progress, %s seconds remaining, got %s of %s."] = "Version request in progress, %s seconds remaining, got %s of %s.",
	["Version request completed, got %s of %s answers:"] = "Version request completed, got %s of %s answers:",
	["Buff request in progress, %s seconds remaining, got %s of %s."] = "Buff request in progress, %s seconds remaining, got %s of %s.",
	["Buff request completed, got %s of %s answers:"] = "Buff request completed, got %s of %s answers:",
	["Request Timeout"] = "Request Timeout",
	["Request Timeout:"] = "Request Timeout:",
	["The timeout of requests sent out (seconds to wait for answers)."] = "The timeout of requests sent out (seconds to wait for answers).",

	-- config file updating strings
	["Outdated configuration found, trying to convert."] = "Outdated configuration found, trying to convert.",
	["Configuration converted to current version. Please check."] = "Configuration converted to current version. Please check.",
	["Configuration could not be converted to current version. Reset to defaults."] = "Configuration could not be converted to current version. Reset to defaults.",
	["Invalid Configuration found. Reset to defaults."] = "Invalid Configuration found. Reset to defaults.",
	
	-- classes
	["Warlock"] = "D\195\169moniste",
	["Warrior"] = "Guerrier",
	["Hunter"] = "Chasseur",
	["Mage"] = "Mage",
	["Priest"] = "Pr\195\170tre",
	["Druid"] = "Druide",
	["Paladin"] = "Paladin",
	["Shaman"] = "Chaman",
	["Rogue"] = "Voleur",

	-- frames
	["Show Log Frame"] = "Show Log Frame",
	["Show the Log frame with extended information."] = "Show the Log frame with extended information.",
	["Show Result Frame"] = "Show Result Frame",
	["Show the Result frame with concise information."] = "Show the Result frame with concise information.",
	
	["Waiting"] = "Waiting",
	["for first"] = "for first",
	["update"] = "update",

	["No results yet."] = "No results yet.",
	["Results:"] = "Results:",
	["Lock Result Frame"] = "Lock Result Frame",
	["Lock the Result frame to avoid accidental dragging."] = "Lock the Result frame to avoid accidental dragging.",
	["Alt-Leftclick|r to drag around if unlocked"] = "Alt-Leftclick|r to drag around if unlocked",
} end)
